Install Problems

Posted on
Tue Jan 22, 2019 2:25 am
chrish offline
Posts: 4
Joined: Mar 14, 2018

Install Problems

Hi,

thank you for you plugin.
With Indigo 7.2 on a Mac with 10.7.5 I am not able to install this plugin.

The console always say the following:

Starting plugin "Fantastic Weather 0.2.06" (pid 548)
Fantastic Weather Error Error in plugin execution InitializeMain:

Traceback (most recent call last):
File "plugin.py", line 56, in <module>
ImportError: No module named pytz

Can you please help me?

Thank you in advance!
Chris

Posted on
Tue Jan 22, 2019 6:50 am
DaveL17 offline
User avatar
Posts: 5274
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Install Problems

chrish wrote:
Hi,

thank you for you plugin.
With Indigo 7.2 on a Mac with 10.7.5 I am not able to install this plugin.

The console always say the following:

Starting plugin "Fantastic Weather 0.2.06" (pid 548)
Fantastic Weather Error Error in plugin execution InitializeMain:

Traceback (most recent call last):
File "plugin.py", line 56, in <module>
ImportError: No module named pytz

Can you please help me?

Thank you in advance!
Chris

Hi Chrish -- sorry to hear that you're having trouble installing the plugin.

As far as I'm aware, the pytz module has been included with the base OS X Python install for quite some time, which leads me to believe that there may be a problem with your OS installation or that you have another installation of Python somewhere on your system. Please try the following steps and report back with the results.

From the Indigo menu, select Open Scripting Shell (you will need to do this from the server machine). From within the shell, enter the following command and then hit enter:
Code: Select all
import pytz

and copy the results to a reply. Then type
Code: Select all
exit()

Then close out of the Indigo scripting shell.

Now, open up a Terminal session and type the following command:
Code: Select all
which python

and again, copy the results and paste them to the reply. You can then exit the terminal window by typing:
Code: Select all
exit


My results look like this:
Code: Select all
Python 2.7.10 (default, Aug 17 2018, 19:45:58)
[GCC 4.2.1 Compatible Apple LLVM 10.0.0 (clang-1000.0.42)]
Connected to Indigo Server v7.2.0, api v2.0 (localhost:1176)
>>> import pytz
>>>



Last login: Tue Jan 22 06:46:27 on ttys000
Daves-MacBook-Air:~ dave$ which python
/usr/bin/python
Daves-MacBook-Air:~ dave$

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Tue Jan 22, 2019 11:16 am
chrish offline
Posts: 4
Joined: Mar 14, 2018

Re: Install Problems

Hi Dave,

thank you very much for your fast reply!

I did what you asked for and the scripting shell result is the following:

Python 2.7.1 (r271:86832, Jun 16 2011, 16:59:05)
[GCC 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2335.15.00)]
Connected to Indigo Server v7.2.0, api v2.0 (localhost:1176)
>>> import pytz
Traceback (most recent call last):
File "<console>", line 1, in <module>
ImportError: No module named pytz
>>>

The Terminal result this:

Indigo-Smart-Home:~ smarthome$ which python
/usr/bin/python
Indigo-Smart-Home:~ smarthome$

I hope that helps you to locate my problem.

Thank you very much!
Chris

Posted on
Tue Jan 22, 2019 12:55 pm
DaveL17 offline
User avatar
Posts: 5274
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Install Problems

OK, let's open another terminal session and try to import pytz from the Python prompt. At the terminal prompt, type: python at the Python prompt, type import pytz. (Again, typing exit() to exit Python and exit to exit the terminal.)

Code: Select all
Last login: Tue Jan 22 07:19:00 on ttys000
Daves-MacBook-Air:~ dave$ python
Python 2.7.10 (default, Aug 17 2018, 19:45:58)
[GCC 4.2.1 Compatible Apple LLVM 10.0.0 (clang-1000.0.42)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import pytz
>>>


I suspect you'll see an error there as well. If you do see an error, then it's one of a few things:
  • Lion did not ship with pytz.
  • your Python install is broken.
Unfortunately, I don't know of a list that shows which Python packages shipped with different Mac versions.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Tue Jan 22, 2019 2:30 pm
jay (support) offline
Site Admin
User avatar
Posts: 16023
Joined: Mar 19, 2008
Location: Austin, Texas

Re: Install Problems

There was some other library (can't remember what exactly) that didn't ship with Lion, so I'm guessing that it's because it just doesn't ship with it. It's in pip though, so he should be able to install it that way though he may need to bootstrap pip first.

Jay (Indigo Support)
Twitter | Facebook | LinkedIn

Posted on
Tue Jan 22, 2019 2:56 pm
chrish offline
Posts: 4
Joined: Mar 14, 2018

Re: Install Problems

Thank you, meanwhile I have installed Python3.7.2 with Pip3.

If I try to install pytz this is the result:

Indigo-Smart-Home:~ smarthome$ python3 -m pip install pytz
Requirement already satisfied: pytz in /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages (2018.9)
Indigo-Smart-Home:~ smarthome$

I am not used in Python or something like that, but can it be, that I have correct Python3 but the Indigo-Plugin tries to use Python2 instead?

Thank you very much!
Chris

Posted on
Tue Jan 22, 2019 4:43 pm
DaveL17 offline
User avatar
Posts: 5274
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Install Problems

It is not recommended to install different versions of Python on the machine running Indigo and, moreover, Indigo will use Python 2.7 regardless. I would recommend uninstalling the new version of Python (or reverting to a prior backup.) Instead, I would try installing pytz using pip for Python 2.7 as Jay suggests. I hasten to add that there may be other packages that are required by the plugin that you may not have (although the packages imported by the plugin that come after pytz are very standard libraries.)

Unfortunately, at this point, I cannot guarantee that the Fantastic Weather plugin is compatible with Lion.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest